package com.sun.corba.se.spi.activation;

import org.omg.CORBA.TypeCode;
import org.omg.CORBA.portable.OutputStream;
import org.omg.CORBA.portable.InputStream;
import org.omg.CORBA.portable.Streamable;

public final class EndPointInfoHolder implements Streamable
{
    public EndPointInfo value;
    
    public EndPointInfoHolder() {
        this.value = null;
    }
    
    public EndPointInfoHolder(EndPointInfo value) {
        this.value = null;
        this.value = value;
    }
    
    public void _read(InputStream inputStream) {
        this.value = EndPointInfoHelper.read(inputStream);
    }
    
    public void _write(OutputStream outputStream) {
        EndPointInfoHelper.write(outputStream, this.value);
    }
    
    public TypeCode _type() {
        return EndPointInfoHelper.type();
    }
}
